### Hierarchy

- EventInit
  - MessageEventInit

## Index

### Properties

- bubbles
- cancelable
- composed
- data
- lastEventId
- origin
- ports
- source

## Properties

### Optional bubbles

bubbles: undefined | false | true

Inherited from EventInit.bubbles

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:424

### Optional cancelable

cancelable: undefined | false | true

Inherited from EventInit.cancelable

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:425

### Optional composed

composed: undefined | false | true

Inherited from EventInit.composed

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:426

### Optional data

data: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:735

### Optional lastEventId

lastEventId: undefined | string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:736

### Optional origin

origin: undefined | string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:737

### Optional ports

ports: MessagePort[]

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:738

### Optional source

source: MessageEventSource | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:739

Generated using TypeDoc